Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3._2000._09.xmldsig
Class ObjectFactory

    java.lang.Object
      org.w3._2000._09.xmldsig.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the org.w3._2000._09.xmldsig package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.w3._2000._09.xmldsig

Method Summary
`CanonicalizationMethod` | `createCanonicalizationMethod()` Create an instance of `CanonicalizationMethod`
`DigestMethod` | `createDigestMethod()` Create an instance of `DigestMethod`
`JAXBElement<byte[]>` | `createDigestValue(byte[] value)` Create an instance of `JAXBElement``<``byte[]``>`}
`DSAKeyValue` | `createDSAKeyValue()` Create an instance of `DSAKeyValue`
`KeyInfo` | `createKeyInfo()` Create an instance of `KeyInfo`
`JAXBElement<String>` | `createKeyName(String value)` Create an instance of `JAXBElement``<``String``>`}
`KeyValue` | `createKeyValue()` Create an instance of `KeyValue`
`Manifest` | `createManifest()` Create an instance of `Manifest`
`JAXBElement<String>` | `createMgmtData(String value)` Create an instance of `JAXBElement``<``String``>`}
`Object` | `createObject()` Create an instance of `Object`
`PGPData` | `createPGPData()` Create an instance of `PGPData`
`Reference` | `createReference()` Create an instance of `Reference`
`RetrievalMethod` | `createRetrievalMethod()` Create an instance of `RetrievalMethod`
`RSAKeyValue` | `createRSAKeyValue()` Create an instance of `RSAKeyValue`
`Signature` | `createSignature()` Create an instance of `Signature`
`SignatureMethod` | `createSignatureMethod()` Create an instance of `SignatureMethod`
`JAXBElement<BigInteger>` | `createSignatureMethodHMACOutputLength(BigInteger value)` Create an instance of `JAXBElement``<``BigInteger``>`}
`SignatureProperties` | `createSignatureProperties()` Create an instance of `SignatureProperties`
`SignatureProperty` | `createSignatureProperty()` Create an instance of `SignatureProperty`
`SignatureValue` | `createSignatureValue()` Create an instance of `SignatureValue`
`SignedInfo` | `createSignedInfo()` Create an instance of `SignedInfo`
`SPKIData` | `createSPKIData()` Create an instance of `SPKIData`
`JAXBElement<byte[]>` | `createSPKIDataSPKISexp(byte[] value)` Create an instance of `JAXBElement``<``byte[]``>`}
`Transform` | `createTransform()` Create an instance of `Transform`
`Transforms` | `createTransforms()` Create an instance of `Transforms`
`JAXBElement<String>` | `createTransformXPath(String value)` Create an instance of `JAXBElement``<``String``>`}
`X509Data` | `createX509Data()` Create an instance of `X509Data`
`JAXBElement<byte[]>` | `createX509DataX509Certificate(byte[] value)` Create an instance of `JAXBElement``<``byte[]``>`}
`JAXBElement<byte[]>` | `createX509DataX509CRL(byte[] value)` Create an instance of `JAXBElement``<``byte[]``>`}
`JAXBElement<X509IssuerSerialType>` | `createX509DataX509IssuerSerial(X509IssuerSerialType value)` Create an instance of `JAXBElement``<``X509IssuerSerialType``>`}
`JAXBElement<byte[]>` | `createX509DataX509SKI(byte[] value)` Create an instance of `JAXBElement``<``byte[]``>`}
`JAXBElement<String>` | `createX509DataX509SubjectName(String value)` Create an instance of `JAXBElement``<``String``>`}
`X509IssuerSerialType` | `createX509IssuerSerialType()` Create an instance of `X509IssuerSerialType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.w3._2000._09.xmldsig

Method Detail

### createTransforms

    public Transforms createTransforms()

  Create an instance of `Transforms`

### createTransform

    public Transform createTransform()

  Create an instance of `Transform`

### createDigestMethod

    public DigestMethod createDigestMethod()

  Create an instance of `DigestMethod`

### createSignature

    public Signature createSignature()

  Create an instance of `Signature`

### createSignedInfo

    public SignedInfo createSignedInfo()

  Create an instance of `SignedInfo`

### createCanonicalizationMethod

    public CanonicalizationMethod createCanonicalizationMethod()

  Create an instance of `CanonicalizationMethod`

### createSignatureMethod

    public SignatureMethod createSignatureMethod()

  Create an instance of `SignatureMethod`

### createReference

    public Reference createReference()

  Create an instance of `Reference`

### createSignatureValue

    public SignatureValue createSignatureValue()

  Create an instance of `SignatureValue`

### createKeyInfo

    public KeyInfo createKeyInfo()

  Create an instance of `KeyInfo`

### createKeyValue

    public KeyValue createKeyValue()

  Create an instance of `KeyValue`

### createDSAKeyValue

    public DSAKeyValue createDSAKeyValue()

  Create an instance of `DSAKeyValue`

### createRSAKeyValue

    public RSAKeyValue createRSAKeyValue()

  Create an instance of `RSAKeyValue`

### createRetrievalMethod

    public RetrievalMethod createRetrievalMethod()

  Create an instance of `RetrievalMethod`

### createX509Data

    public X509Data createX509Data()

  Create an instance of `X509Data`

### createX509IssuerSerialType

    public X509IssuerSerialType createX509IssuerSerialType()

  Create an instance of `X509IssuerSerialType`

### createPGPData

    public PGPData createPGPData()

  Create an instance of `PGPData`

### createSPKIData

    public SPKIData createSPKIData()

  Create an instance of `SPKIData`

### createObject

    public Object createObject()

  Create an instance of `Object`

### createManifest

    public Manifest createManifest()

  Create an instance of `Manifest`

### createSignatureProperties

    public SignatureProperties createSignatureProperties()

  Create an instance of `SignatureProperties`

### createSignatureProperty

    public SignatureProperty createSignatureProperty()

  Create an instance of `SignatureProperty`

### createDigestValue

    public JAXBElement<byte[]> createDigestValue(byte[] value)

  Create an instance of `JAXBElement``<``byte[]``>`}

### createKeyName

    public JAXBElement<String> createKeyName(String value)

  Create an instance of `JAXBElement``<``String``>`}

### createMgmtData

    public JAXBElement<String> createMgmtData(String value)

  Create an instance of `JAXBElement``<``String``>`}

### createTransformXPath

    public JAXBElement<String> createTransformXPath(String value)

  Create an instance of `JAXBElement``<``String``>`}

### createSignatureMethodHMACOutputLength

    public JAXBElement<BigInteger> createSignatureMethodHMACOutputLength(BigInteger value)

  Create an instance of `JAXBElement``<``BigInteger``>`}

### createX509DataX509IssuerSerial

    public JAXBElement<X509IssuerSerialType> createX509DataX509IssuerSerial(X509IssuerSerialType value)

  Create an instance of `JAXBElement``<``X509IssuerSerialType``>`}

### createX509DataX509SKI

    public JAXBElement<byte[]> createX509DataX509SKI(byte[] value)

  Create an instance of `JAXBElement``<``byte[]``>`}

### createX509DataX509SubjectName

    public JAXBElement<String> createX509DataX509SubjectName(String value)

  Create an instance of `JAXBElement``<``String``>`}

### createX509DataX509Certificate

    public JAXBElement<byte[]> createX509DataX509Certificate(byte[] value)

  Create an instance of `JAXBElement``<``byte[]``>`}

### createX509DataX509CRL

    public JAXBElement<byte[]> createX509DataX509CRL(byte[] value)

  Create an instance of `JAXBElement``<``byte[]``>`}

### createSPKIDataSPKISexp

    public JAXBElement<byte[]> createSPKIDataSPKISexp(byte[] value)

  Create an instance of `JAXBElement``<``byte[]``>`}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.